# Oracle

- [Oracle XE](https://docs.oracle.com/en/database/oracle/oracle-database/18/xeinl/installation-guide.html)
- [Docker Image](https://github.com/fuzziebrain/docker-oracle-xe)
- [Oracle CI](https://www.oracle.com/database/technologies/appdev/sqlcl.html)
    - Connect to DB: `sqlcl sys/Oracle18@localhost:32118/XE as sysdba`




Compress and uncompress keeping owner and permission:
- `tar -cvpf file.tar folderToCompress`
- `tar --same-owner -xvf file.tar`

SSH into container and run SqlPlus:
- `docker exec -it oracle-xe bash -c "source /home/oracle/.bashrc; bash"`
- `$ORACLE_HOME/bin/sqlplus sys/Oracle18@localhost/XE as sysdba`




docker run -d \
-p 32112:1521 \
--name=oracle-xe-2 \
--volume /opt/oracle/oracle-xe-2:/opt/oracle/oradata \
--volume /opt/oracle/scripts:/usr/local/sbin \
--volume /var/backups/oracle:/var/backups/oracle \
--network=oracle_network \
oracle-xe:18c


--env ORA_RMAN_SGA_TARGET=4048M \
--memory 5G \
--memory-swap 1G \
--cpus 4 \
