# Ahoy support for Drupal projects

This is a composer plugin which prepares your local development environment for Ahoy using the framework from [Ahoy-CLI](https://github.com/ahoy-cli/ahoy).

If you [installed Ahoy-CLI](https://github.com/ahoy-cli/ahoy#installation) globally once you can use it in Drupal projects without any further configuration.

## Ahoy within the L3D framework

It currently scans all composer packages with the pattern `lakedrops/*` and collects all their Ahoy commands and makes them available in the root of the main project automatically.

## Prepare a LakeDrops plugin for Ahoy

When your comploser plugin should support this Ahoy framework, simply create a file called `.ahoy.l3d.yml` in the root of your plugin with content similar to this:

```yaml
ahoyapi: v2
commands:
  name1:
    imports:
      - file1.yml
    usage: Description of the commands in the external file 1
  name2:
    imports:
      - file2.yml
    usage: Description of the commands in the external file 2
```

You can use your own names (instead of `name1` and `name2`) and then import any number of files which then contain your real Ahoy commands for this plugin section.

When Ahoy later imports those files into your main root project, it will make sure to resolve the full path to the imported files properly.
