# Dorgflow Composer Plugin

This is a composer plugin which prepares some of your projects in a composer based Drupal installation for drupal-org contributions powered by [Dorgflow](https://github.com/joachim-n/dorgflow).

## Installation

If you're using the [Drupal Development Environment](https://gitlab.lakedrops.com/composer/plugin/drupal-development-environment), everything is already available for you. Otherwise call `composer require --dev lakedrops/dorgflow` and everything will be taken care off for you automatically - even if you update your Drupal project at any time in the future, the development environments for your defined projects will be kept in place and properly configured.

## Configuration

Add a dorgflow section to your `.lakedrops.yml` with a list of all the project you want to maintain given their respective versions:

```yaml
---
dorgflow:
  projects:
    drupal/colorbox_field_formatter: 8.x-1.x
    drupal/dimension: 8.x-1.x
    drupal/drd: 8.x-3.x
    drupal/drd_agent: 8.x-3.x
  drupalspoons:
    drupal/devel: 1.x-dev
  selfhosted:
    url: gitlab.lakedrops.com
    projects:
      lakedrops/docker4drupal:
        path: composer/plugins
        version: develop
```

## Usage

There are basicly two different use cases: for projects that you keep maintaining for a longer period of time, you add them to the extra/dorgflow section in your composer.json and when ever you run `composer update`, this will also refresh those projects and re-clone the projects so that you can continue maintaining them in you development environment.

For projects, you have a spontaneous need, e.g. for writing a patch to an issue, there is a quick way to achieve the same without having to run `composer update`. Simply add the project to the extra/dorgflow section as well and then call `composer lakedrops:dorgflow`. This will just checkout all the projects in this section if needed and you're ready to go.
